/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.glassfish.owb.bean;

import com.glassfish.owb.model.Person;
import com.glassfish.owb.service.PersonService;
import java.io.Serializable;
import java.util.List;
import javax.annotation.PostConstruct;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.ViewScoped;
import javax.inject.Inject;
import org.apache.myfaces.extensions.cdi.core.api.scope.conversation.ViewAccessScoped;

/**
 *
 * @author rmpestano Nov 5, 2011 8:34:33 AM
 */
@ManagedBean(eager=true)
@ViewAccessScoped
public class PersonMB implements Serializable{
    
    @Inject
    private PersonService personService;
    
    private List<Person> personList;


    @PostConstruct
    public void init(){
        if(personService.count() == 0){
            this.initPerson();
        }
        personList = personService.findAll();
    }
    
    public List<Person> getPersonList() {
        return personList;
    }

    public void setPersonList(List<Person> personList) {
        this.personList = personList;
    }

    private void initPerson() {
        for (int i = 0; i < 100; i++) {
            Person p = new Person("Person "+i,i%100);
            personService.getDao().save(p);
        }
    }
    
    
 
}
